¿Symfony 2.0 es lo suficientemente estable como para usarlo?

Me pregunto si Symfony 2.0 es lo suficientemente estable como para usarlo.

Porque nunca antes había usado Symfony .

Parece que Symfony 2 es mucho mejor que la versión anterior y no quiero volver a aprender / recodificar todo dentro de unos meses.

¿Cuándo crees que será lanzado?

¿Sería una buena elección usar 2.0 ahora?

No.

Sí. http://symfony.com/download

http://symfony-reloaded.org/learn

Cita desde el enlace de arriba:

Tenga en cuenta que Symfony 2 aún no está listo para la producción. La versión final está prevista para finales de 2010 y solo será compatible con PHP 5.3.2. Mientras tanto, le recomendamos encarecidamente que utilice la versión estable actual de Symfony 1.4 para todos sus proyectos.

Miembro del equipo central de Symfony aquí. No, Symfony2 no está listo para usarse en producción, porque ni siquiera ha alcanzado el estado alfa. Como se indica en la página de github, las cosas (especialmente la API) cambiarán.

Además, algunos componentes aún no están aquí, por ejemplo, el marco de formularios, por lo que tendría que manejarlos a mano. No hagas eso. Pero, por supuesto, estaremos encantados de recibir algún comentario si lo intentas para un proyecto de recinto de seguridad tuyo;)

Me gustaría señalar que nosotros ( http://www.exercise.com ) estamos en vivo y hemos estado usando Symfony 2 desde hace un tiempo.

No ha sido la experiencia más fluida (tratamos de mantenernos actualizados con las twigs más recientes de sf2 en git, que es casi un trabajo de tiempo completo para 1 persona), pero hemos creado un sitio en funcionamiento.

El mayor obstáculo en este momento para comenzar un proyecto es la falta de documentación y ejemplos en línea. Por lo tanto, si bien es posible ejecutar un sitio de producción con Symfony 2, el marco aún tiene un largo camino por recorrer hasta que se pueda utilizar para un proyecto pequeño.

Ayer en SymfonyLive 2011 (Twitter # sflive2011) Fabien dijo que el primer Release Candidate será marzo de 2011.